---
title: WebGLRenderingContext.bindRenderbuffer()
slug: Web/API/WebGLRenderingContext/bindRenderbuffer
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.bindRenderbuffer()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> binds a given {{domxref("WebGLRenderbuffer")}} to a target, which must be <code>gl.RENDERBUFFER</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.bindRenderbuffer(<var>target</var>, <var>renderbuffer</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>target</dt>
 <dd>A {{domxref("GLenum")}} specifying the binding point (target). Possible values:
 <ul>
  <li><code>gl.RENDERBUFFER</code>: Buffer data storage for single images in a renderable internal format.</li>
 </ul>
 </dd>
 <dt>renderbuffer</dt>
 <dd>A {{domxref("WebGLRenderbuffer")}} object to bind.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>A <code>gl.INVALID_ENUM</code> error is thrown if <code>target</code> is not <code>gl.RENDERBUFFER</code>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Binding_a_renderbuffer">Binding a renderbuffer</h3>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var renderbuffer = gl.createRenderbuffer();

gl.bindRenderbuffer(gl.RENDERBUFFER, renderbuffer);
</pre>

<h3 id="Getting_current_bindings">Getting current bindings</h3>

<p>To check the current renderbuffer binding, query the <code>RENDERBUFFER_BINDING</code> constant.</p>

<pre class="brush: js">gl.getParameter(gl.RENDERBUFFER_BINDING);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.7", "bindRenderbuffer")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glBindRenderbuffer.xml", "glBindRenderbuffer")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.bindRenderbuffer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.createRenderbuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteRenderbuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isRenderbuffer()")}}</li>
 <li>Other buffers: {{domxref("WebGLBuffer")}}, {{domxref("WebGLFramebuffer")}}</li>
</ul>
